Subject: bug#64305: closed (Re: [PATCH] gnu: uwufetch: Add and use missing inputs.)

From: [email-masked] (GNU bug Tracking System)
Date: Sat, 12 Aug 2023 20:37:02 +0000

Your bug report

#64305: [PATCH 0/4] Fixup uwufetch.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
64305: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=64305
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [PATCH] gnu: uwufetch: Add and use missing inputs.
From: Ludovic Courtès <[email-masked]>
To: Juliana Sims <[email-masked]>
Cc: [email-masked]
Date: Sat, 12 Aug 2023 22:36:28 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Juliana Sims <[email-masked]> skribis:

> Hi there,
>
> Oops! I sent that last email wrong!
>
> For Ludovic: this is the same as that other email, but I want to make sure
> everything is threaded and catalogued properly.
>
> For everyone else: this patch takes Ludovic's advice and substitutes references
> to "grep" and "awk" in the uwufetch source code with references to the
> fully-qualified paths of those binaries. It adds them as regular inputs rather
> than the propagated inputs the previous version of this patch added them as.
>
> Thanks,
> Juli
>
> * gnu/packages/admin.scm (uwufetch) [inputs]: Add missing inputs.
> [phases]: Use the fully-qualified paths of the input gawk and grep.

Perfect, thank you!

Ludo’.

Subject: [PATCH 0/4] Fixup uwufetch.
From: Juliana Sims <[email-masked]>
To: [email-masked]
Cc: Juliana Sims <[email-masked]>
Date: Mon, 26 Jun 2023 13:10:43 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

While doing a periodic check on updates to packages I've submitted to Guix, I noticed that there were some issues with uwufetch - namely, running `guix shell --pure uwufetch` left you with a broken package. This patch series takes care of that and fixes some other minor issues I noticed along the way.

Thanks,
Juli

Juliana Sims (4):
  gnu: uwufetch: Fix typo in build phase name.
  gnu: uwufetch: Manually create missing include dir.
  gnu: uwufetch: Add missing propagated inputs.
  gnu: uwufetch: Add supported-systems.

 gnu/packages/admin.scm | 18 +++++++++++++++---
 1 file changed, 15 insertions(+), 3 deletions(-)

base-commit: 05a7f7bf6e30ca958a86c3853222d45e075459b0
-- 
2.40.1